<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de serviciosgenerales(Administrador general)
class ServiciosPruebaA_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

   //Consulta que hace el registros de servicios prueba en la base de datos
   public function GuardarServicioG($parametro){
      $campos=array(
         'Codigo_Servicios' => $parametro['Codigo_Servicios'],
         'Modelo_IdModelo' => $parametro['Modelo_IdModelo'],
         'NombreServicio' => $parametro['NombreServicio'],
         'TipoServicio_IdTipoServicio' => $parametro['TipoServicio_IdTipoServicio'],
         'Categoria_IdCategoria' => $parametro['Categoria_IdCategoria'],
         'PreciosServicio' => $parametro['PreciosServicio'],
         'DuracionServicio'=> $parametro['DuracionServicio'],
         'SesionesServicio'=> $parametro['SesionesServicio'],
         'DescripcionServicio' => $parametro['DescripcionServicio'],
         'ObservacionesServicio' => $parametro['ObservacionesServicio'],
         'ClasificacionServicio' => $parametro['ClasificacionServicio'],
         'Zona_IdZona' => $parametro['Zona_IdZona']
      );
      $this->db->insert('serviciosgenerales',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
         // echo "<script>alert('Datos guardados correctamente');</script>";
         // redirect('servicios/Administrador/serviciosPruebaA','refresh');
         echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."servicios/Administrador/serviciosPruebaA';
                 </script>";
      }else{
        //Verifica que la consulta se realizo 
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        // redirect('servicios/Administrador/serviciosPruebaA','refresh');
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>');
                 window.location.href='".base_url()."servicios/Administrador/serviciosPruebaA';
                 </script>";
      }
   }

   //Consulta que hace la busqueda del servicio seleccionado
   public function obtenerenlace ($id){
      $this->db->select('*');
      $this->db->where('IdServiciosGenerales', $id);
      $query=$this->db->get('serviciosgenerales');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }

    //Consulta que hace la actualización del servicio seleccionado
    function editarenlace ($IdServiciosGenerales, $data)
   {
      $this->db->where('IdServiciosGenerales', $IdServiciosGenerales);
      $this->db->update('serviciosgenerales', $data);
      $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('servicios/Administrador/serviciosPruebaA','refresh');
         echo "<script>alert('Datos guardados correctamente');</script>');
                 window.location.href='".base_url()."servicios/Administrador/serviciosPruebaA';
                 </script>";
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
      //   echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
      // redirect("servicios/Administrador/serviciosPruebaA/editar/$IdServiciosGenerales",'refresh');
       echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>');
                 window.location.href='".base_url()."servicios/Administrador/serviciosPruebaA';
                 </script>";
      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
        // redirect('servicios/Administrador/serviciosPruebaA','refresh');
         echo "<script>alert('No se hizo nungun cambio');</script>');
                 window.location.href='".base_url()."servicios/Administrador/serviciosPruebaA';
                 </script>";
      }
   }

    //Consulta que hace la busqueda de los servicios
    function buscar($query) {
      $this->db->SELECT('*');
      $this->db->FROM('serviciosgenerales');
      $this->db->WHERE('TipoServicio_IdTipoServicio','3');
      $this->db->like('NombreServicio', $query);
      $query=$this->db->get();
    if ($query->num_rows() > 0){
      return $query;
    }else{
      // echo "<script>alert('No se encontrarón los datos');</script>";
      //   redirect('servicios/Administrador/serviciosPruebaA','refresh');
        echo "<script>alert('No se encontrarón los datos');</script>');
                 window.location.href='".base_url()."servicios/Administrador/serviciosPruebaA';
                 </script>";
    }
  }


   //Consulta que elimina los servicios
   public function eliminar ($id){
      
      $this->db->where('IdServiciosGenerales', $id);
      $this->db->delete('serviciosgenerales');
   }

   //Consulta que hace la busqueda de los modelos
   public function BuscarModelo(){
     $query = $this->db-> query('SELECT IdModelo,NombreModelo FROM modelo'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdModelo, ENT_QUOTES)] = htmlspecialchars($row->NombreModelo, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

    //Consulta que hace la busqueda de los tipos de servicio
    public function BuscarTipoS(){
     $query = $this->db-> query('SELECT IdTipoServicio,NombreTipoServicio FROM tiposervicio WHERE IdTipoServicio=3'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoServicio, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoServicio, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

    
    //Consulta que hace la busqueda de las categorias del servicio
    public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

      //Consulta que hace la busqueda de las zonas registradas
    public function BuscarZona(){
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }  
   
  
}
